.list-inline {
  li {
    display: inline-block;
  }
}

.center-block {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.text-bold {
  font-weight: bold;
}

.en {
  font-family: monospace, Tahoma;
}

.fa,
.vm {
  vertical-align: middle;
}

.text-green-light {
  color: $green-light;
}

.text-black {
  color: black;
}

.text-dark {
  color: #090909;
}

.pointer {
  cursor: pointer;
}

img {
  max-width: 100%;
}

.form-control {
  &.valid {
    border-color: $success;
    &.validate-bg {
      background-color: lighten($success, 62%);
    }
    &:focus {
      box-shadow: 0 0 0 $input-btn-focus-width rgba($success, 0.3);
    }
  }

  &.invalid {
    border-color: $danger;
    &.validate-bg {
      background-color: lighten($danger, 32%);
    }
    &:focus {
      box-shadow: 0 0 0 $input-btn-focus-width rgba($danger, 0.3);
    }
  }

  &.ltr,
  &.en,
  &.dir-ltr-focus {
    &:not(:placeholder-shown) {
      direction: ltr;
    }
  }

  &.f-ltr {
    direction: ltr;
  }
}

.relative {
  position: relative;
}

.block {
  display: block;
}

.inline-block {
  display: inline-block !important;
  width: auto;
  vertical-align: middle;
}

.cover {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.btn-round {
  border-radius: 20px;
  padding-right: 25px;
  padding-left: 25px;
}

.max-w-250 {
  max-width: 250px;
  text-align: justify;
}

.btn {
  > * {
    vertical-align: middle;
    display: inline-block;
  }

  .icon {
    width: 18px;
  }
  &.btn-icon {
    width: 44px;
    height: 44px;
    padding: 0;
    border-radius: 50%;
  }
  &.btn-default {
    color: $gray-700;
  }
  &.btn-warning {
    color: white;
  }
  &.btn-outline-warning {
    border-width: 1px;
  }
}

.form-control-lg {
  height: 48px;
}

.bg-gradient-primary {
  background: $pink-light;
  background: linear-gradient(
    to bottom,
    lighten($pink-light, 7%) 0%,
    lighten($pink, 6%) 100%
  );
  color: white;
}

.unit-select {
  .vue-i-scroll-inner ul li span {
    width: 90%;
    text-align: center;
    text-overflow: ellipsis;
    overflow: hidden;
    direction: rtl;
  }
}

.image-circle {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  background-color: rgba(black, 0.2);
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  &.has-border {
    border: solid 2px $primary;
  }
}

.c-scroll {
  $size: 8px;
  $scrollbar-bg-color: rgba(black, 0.3);
  $scrollbar-handler-color: rgba(white, 0.2);
  $scrollbar-handler-color-hover: rgba(black, 0.5);
  $scrollbar-corner-color: rgba(black, 0);

  //overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  //width: 100%;
  //height: 100%;

  &::-webkit-scrollbar {
    background: none;
    padding: 2px;
    width: $size;
    //height: $size;
  }

  &::-webkit-scrollbar-track {
    background-color: $scrollbar-bg-color;
    border-radius: $size;
  }

  &::-webkit-scrollbar-thumb {
    background-color: $scrollbar-handler-color;
    //box-shadow: 0 0 2px rgba(0, 0, 0, 0.4) inset;
    //border-radius: $size;
    &:hover {
      background-color: $scrollbar-handler-color-hover;
    }
  }

  &::-webkit-scrollbar-corner {
    background-color: $scrollbar-corner-color;
  }

  &.c-right {
    direction: ltr;

    > * {
      direction: rtl;
      text-align: right;
    }
  }
}

.absolute-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.vpd-wrapper {
  font-size: 0.85rem;
}

.logo-and-text {
  position: relative;
  background: url(../svg/logo-white-bg.svg) no-repeat center;
  background-size: cover;
  margin-left: auto;
  margin-right: auto;
  width: 100px;
  > * {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 20%;
  }
  .content {
    height: 100%;
    font-size: 12px;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: white;
    box-shadow: 0 0 4px rgba(black, 0.4);
  }
  &:before {
    display: block;
    width: 100%;
    padding-bottom: 100%;
    content: '';
  }
}

/* ====================================================
	 icons
==================================================== */
[class^='ic-'],
[class*=' ic-'] {
  vertical-align: middle;
  display: inline-block;
  font-style: normal;
  font-weight: normal !important;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  &:before {
    vertical-align: middle;
    display: block;
    line-height: inherit !important;
  }
}

.icon-avatar {
  display: inline-block;
  width: 100px;
  height: 100px;
  line-height: 99px;
  text-align: center;
  font-size: 50px;
  border-radius: 50%;
  background-color: #dadada;
  color: #606060;
  border: solid 5px white;
}

/* ====================================================
	margin - padding - font
==================================================== */

//@for $i from 0 to 10 {
//  .mt-#{$i}:nth-child(n) {margin-top: #{$i}px;}
//  .mr-#{$i}:nth-child(n) {margin-right: #{$i}px;}
//  .mb-#{$i}:nth-child(n) {margin-bottom: #{$i}px;}
//  .ml-#{$i}:nth-child(n) {margin-left: #{$i}px;}
//
//  .pt-#{$i}:nth-child(n) {padding-top: #{$i}px;}
//  .pr-#{$i}:nth-child(n) {padding-right: #{$i}px;}
//  .pb-#{$i}:nth-child(n) {padding-bottom: #{$i}px;}
//  .pl-#{$i}:nth-child(n) {padding-left: #{$i}px;}
//}
//
//@for $i from 2 to 21 {
//  .mt-#{$i*5}:nth-child(n) {margin-top: #{$i*5}px;}
//  .mr-#{$i*5}:nth-child(n) {margin-right: #{$i*5}px;}
//  .mb-#{$i*5}:nth-child(n) {margin-bottom: #{$i*5}px;}
//  .ml-#{$i*5}:nth-child(n) {margin-left: #{$i*5}px;}
//
//  .pt-#{$i*5}:nth-child(n) {padding-top: #{$i*5}px;}
//  .pr-#{$i*5}:nth-child(n) {padding-right: #{$i*5}px;}
//  .pb-#{$i*5}:nth-child(n) {padding-bottom: #{$i*5}px;}
//  .pl-#{$i*5}:nth-child(n) {padding-left: #{$i*5}px;}
//}

@for $i from 5 to 41 {
  .font-#{$i}:nth-child(n) {
    font-size: #{$i/10}rem !important;
  }
}

.row-5 {
  margin-right: -5px;
  margin-left: -5px;
  > .col,
  > [class*='col-'] {
    padding-right: 5px;
    padding-left: 5px;
  }
}

.row-10 {
  margin-right: -10px;
  margin-left: -10px;
  > .col,
  > [class*='col-'] {
    padding-right: 10px;
    padding-left: 10px;
  }
}
